View Issue Details

IDProjectCategoryView StatusLast Update
0000587luatexluatex bugpublic2013-12-20 14:01
ReporterTacoAssigned ToHans Hagen 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.78.0 
Summary0000587: backend problem with font MnSymbol12.otf
Description
\starttext
\showfont[file:MnSymbol12b.otf]
\stoptext


Results in:

texmf/fonts/opentype/public/mnsymbol/MnSymbol12.otf
!LuaTeX error (file texmf/fonts/opentype/public/mnsymbol/MnSymbol12.otf): Invalid character.

TagsNo tags attached.

Activities

Taco

2011-02-21 09:07

administrator  

MnSymbol12.otf (161,216 bytes)

furrabi

2013-10-22 19:29

reporter   ~0001116

In case it’s useful to know the range of fonts affected by this bug, EasonPro-InlineCaps.otf (from http://www.fountaintype.com/typefaces/eason) is another case.

Hans Hagen

2013-12-19 17:36

manager   ~0001164

font loading failed for ./mnSymbol12b.otf (read error)

so is this a bugged font?

furrabi

2013-12-19 19:36

reporter   ~0001165

I’ve done more tests, using this file:

-----------------------------------------
\documentclass[12pt]{book}
\usepackage{fontspec,lettrine,microtype,xcolor}
\setmainfont[UprightFeatures={Contextuals=Alternate}]{Eason Pro}
\newfontface\dspc{Eason Pro Display Caps}
\newfontface\inlc{Eason Pro Inline Caps}
\newfontface\fleur{Eason Pro Ornaments}
\usepackage[a6paper]{geometry}
\begin{document}
This is a test.

\textit{This is a test.}

\textbf{This is a test.}

\textit{\bfseries This is a test.}

\lettrine{\dspc T}{his} is a test. This is only a test. Had this been
a real emergency, you would have been instructed…

\lettrine{\inlc T}{his} is a test. This is only a test. Had this been
a real emergency, you would have been instructed…

\begin{center}
  \fleur\huge\textcolor{yellow}{1}\llap{\textcolor{violet}{4}}
\end{center}
\end{document}
-----------------------------------------

With xetex [Version 3.1415926-2.5-0.9999.3 (TeX Live 2013)], all Eason
Pro fonts work correctly.

With luatex [Version beta-0.76.0-2013070317 (rev 4627)], things work
only if I comment out the lines calling for use of the DisplayCaps,
the InlineCaps, and the Ornaments. If I try to use those fonts, I get
this kind of error:

-----------------------------------------
!LuaTeX error (file /home/tb/.fonts/EasonPro-Ornaments.otf): Invalid character.

!LuaTeX error (file /home/tb/.fonts/EasonPro-InlineCaps.otf): Invalid character.

!LuaTeX error (file /home/tb/.fonts/EasonPro-DisplayCaps.otf): Invalid character

 ==> Fatal error occurred, no output PDF file produced!

LaTeX exited abnormally with code 1 at Thu Dec 19 12:39:39
-----------------------------------------

Fortunately, the ornaments are also present in the Regular font, so I
can use them with the help of luacode.

This is all Very Mysterious to me, but I’ll gladly run any tests you’d
like.

Hans Hagen

2013-12-19 23:51

manager   ~0001167

we have a fix that will end up in 0.78 so you can test when that version is available (btw, there is no b in the filename of the font)

Issue History

Date Modified Username Field Change
2011-02-21 09:07 Taco New Issue
2011-02-21 09:07 Taco File Added: MnSymbol12.otf
2013-10-22 19:29 furrabi Note Added: 0001116
2013-12-19 17:36 Hans Hagen Note Added: 0001164
2013-12-19 19:36 furrabi Note Added: 0001165
2013-12-19 23:51 Hans Hagen Note Added: 0001167
2013-12-20 14:01 Hans Hagen Status new => closed
2013-12-20 14:01 Hans Hagen Assigned To => Hans Hagen
2013-12-20 14:01 Hans Hagen Resolution open => fixed
2013-12-20 14:01 Hans Hagen Fixed in Version => 0.78.0